<template>
  <text v-if="type === 'test'"> 测试嵌入 </text>
  <Alert v-else type="error" :message="'不支持的渲染类型：' + type" />
</template>

<script setup lang="ts">
import Alert from '@/components/feedback/Alert.vue';

const props = withDefaults(defineProps<{
  type: string;
}>(), {});
</script>
